Bug 1015392 - [abrt] epiphany-3.10.0-1.fc20: equal: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
[abrt] epiphany-3.10.0-1.fc20: equal: Process /usr/bin/epiphany was killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:871229c2afe37bf75d183c076d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 02:01 EDT by Emmanuel Pacaud
Modified: 2015-06-29 08:32 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:32:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.18 KB, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: core_backtrace (21.16 KB, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: dso_list (14.79 KB, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: environ (1.60 KB, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: maps (73.99 KB, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: open_fds (642 bytes, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details
File: var_log_messages (492 bytes, text/plain)
2013-10-04 02:01 EDT, Emmanuel Pacaud
no flags Details

  None (edit)
Description Emmanuel Pacaud 2013-10-04 02:01:12 EDT
Version-Release number of selected component:
epiphany-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        epiphany
crash_function: equal
executable:     /usr/bin/epiphany
kernel:         3.11.2-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 equal at Source/WTF/wtf/text/StringImpl.h:1127
 #2 equalInner at Source/WTF/wtf/text/StringImpl.cpp:1259
 #3 WTF::StringImpl::endsWith at Source/WTF/wtf/text/StringImpl.cpp:1318
 #4 endsWith<2u> at Source/WTF/wtf/text/StringImpl.h:772
 #6 WebCore::pathByAppendingComponent at Source/WebCore/platform/gtk/FileSystemGtk.cpp:165
 #7 WebKit::findWebKitProcess at Source/WebKit2/Shared/gtk/ProcessExecutablePathGtk.cpp:61
 #8 WebKit::executablePathOfWebProcess at Source/WebKit2/Shared/gtk/ProcessExecutablePathGtk.cpp:71
 #9 WebKit::ProcessLauncher::launchProcess at Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp:80
 #10 operator() at Source/WTF/wtf/Functional.h:704
 #11 performWork at Source/WebKit2/Platform/gtk/WorkQueueGtk.cpp:49
Comment 1 Emmanuel Pacaud 2013-10-04 02:01:17 EDT
Created attachment 807415 [details]
File: backtrace
Comment 2 Emmanuel Pacaud 2013-10-04 02:01:20 EDT
Created attachment 807416 [details]
File: cgroup
Comment 3 Emmanuel Pacaud 2013-10-04 02:01:25 EDT
Created attachment 807417 [details]
File: core_backtrace
Comment 4 Emmanuel Pacaud 2013-10-04 02:01:29 EDT
Created attachment 807418 [details]
File: dso_list
Comment 5 Emmanuel Pacaud 2013-10-04 02:01:33 EDT
Created attachment 807419 [details]
File: environ
Comment 6 Emmanuel Pacaud 2013-10-04 02:01:37 EDT
Created attachment 807420 [details]
File: exploitable
Comment 7 Emmanuel Pacaud 2013-10-04 02:01:40 EDT
Created attachment 807421 [details]
File: limits
Comment 8 Emmanuel Pacaud 2013-10-04 02:01:45 EDT
Created attachment 807422 [details]
File: maps
Comment 9 Emmanuel Pacaud 2013-10-04 02:01:49 EDT
Created attachment 807423 [details]
File: open_fds
Comment 10 Emmanuel Pacaud 2013-10-04 02:01:53 EDT
Created attachment 807424 [details]
File: proc_pid_status
Comment 11 Emmanuel Pacaud 2013-10-04 02:01:56 EDT
Created attachment 807425 [details]
File: var_log_messages
Comment 12 Christian Stadelmann 2013-11-15 13:49:01 EST
I run into this bug very often. Seems to happen about every time I close Epiphany. One thing that might be related: Epiphany (the process) takes very long to exit after closing the window.
Comment 13 Steve Bryant 2014-01-11 17:12:47 EST
Another user experienced a similar problem:

After browsing a web site that makes heavy use of ".aspx" pages (and causes Firefox to crash almost instantly), I exit Epiphany and then the crash occurs.

reporter:       libreport-2.1.10
backtrace_rating: 3
cmdline:        epiphany
crash_function: equal
executable:     /usr/bin/epiphany
kernel:         3.12.6-300.fc20.x86_64
package:        epiphany-3.10.3-1.fc20
reason:         epiphany killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 southen 2014-06-29 12:07:32 EDT
Another user experienced a similar problem:

Just exited a normal browsing session.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        epiphany
crash_function: equal
executable:     /usr/bin/epiphany
kernel:         3.14.8-200.fc20.x86_64
package:        epiphany-3.10.3-1.fc20
reason:         epiphany killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2015-05-29 05:30:39 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 08:32:27 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.